cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class PEX_P07_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.PEX_P07_Common

- Direct Known Subclasses:
    PEX_P07, PEX_P08

      public abstract class PEX_P07_Common
      extends Message

  PEX_P07 - Product Experience Message (Event P07,P08). This message is use to transfer information related to an adverse event occurring while a patient is exposed to a product(system).

  Represents a PEX_P07 message structure (see chapter 7.11.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6. PRT (Participation-for patient) MULTIPLE_OPTIONAL
  7. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  8: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  9: VISIT (a Group of segments in PEX_P07 message) SINGLE_OPTIONAL
  10: EXPERIENCE (a Group of segments in PEX_P07 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExperienceGroup(IGroup objGroup)` Adds Experience GROUP to this message.
    `void` | `addExperienceGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of EXPERIENCE GROUP to this message.
    `void` | `addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addParticipationForPatientSegment(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of Participation(PRT) to this message.
    `void` | `addParticipationForPatientSegment(PRT objPRT)` Adds Participation(PRT) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ARV objARV)` Adds Access Restrictions(ARV) to this message.
    `void` | `addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)` Adds collection of Access Restrictions(ARV) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `PD1` | `getAdditinalDemographicsSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<IGroup>` | `getExperienceGroups()` Retrieves Collection of EXPERIENCE GROUP present in this message.
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `ISingleCollection<PRT>` | `getParticipationForPatientSegments()` Retrieves Collection of Participation(PRT) present in this message.
    `ISingleCollection<ARV>` | `getPatientIdentificationAccessRestrictionsSegments()` Retrieves Collection of Access Restrictions(ARV) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `IGroup` | `getVisitGroup()` Retrieves Visit Group present in this message.
    `void` | `setAdditinalDemographicsSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.
    `void` | `setVisitGroup(IGroup objGroup)` Sets value of Visit Group for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - the EVN Segment present in this message or null if unavailable.

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicsSegment

          public PD1 getAdditinalDemographicsSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - the Additinal Demographics(PD1) Segment. present in this message or null if unavailable.

    - #### setAdditinalDemographicsSegment

          public void setAdditinalDemographicsSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### addParticipationForPatientSegment

          public void addParticipationForPatientSegment(PRT objPRT)

      Adds Participation(PRT) to this message.
      Parameters:
        `objPRT` - Specified Participation Segment to be added in message.

    - #### addParticipationForPatientSegment

          public void addParticipationForPatientSegment(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of Participation(PRT) to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation(PRT) to add in this message

    - #### getParticipationForPatientSegments

          public ISingleCollection<PRT> getParticipationForPatientSegments()

      Retrieves Collection of Participation(PRT) present in this message.
      Returns:
        ISingleCollection - Collection of Participation(PRT) present in this message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ARV objARV)

      Adds Access Restrictions(ARV) to this message.
      Parameters:
        `objARV` - Specified Access Restrictions Segment to be added in message.

    - #### addPatientIdentificationAccessRestrictionsSegment

          public void addPatientIdentificationAccessRestrictionsSegment(ISingleCollection<ARV> objARVSegmentCollection)

      Adds collection of Access Restrictions(ARV) to this message.
      Parameters:
        `objARVSegmentCollection` - Collection of Access Restrictions(ARV) to add in this message

    - #### getPatientIdentificationAccessRestrictionsSegments

          public ISingleCollection<ARV> getPatientIdentificationAccessRestrictionsSegments()

      Retrieves Collection of Access Restrictions(ARV) present in this message.
      Returns:
        ISingleCollection - Collection of Access Restrictions(ARV) present in this message.

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to add in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message

    - #### getVisitGroup

          public IGroup getVisitGroup()

      Retrieves Visit Group present in this message.
      Returns:
        Group - Visit Group present in this message.

    - #### setVisitGroup

          public void setVisitGroup(IGroup objGroup)

      Sets value of Visit Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified Visit Group

    - #### getExperienceGroups

          public ISingleCollection<IGroup> getExperienceGroups()

      Retrieves Collection of EXPERIENCE GROUP present in this message.
      Returns:
        ISingleCollection - Collection of EXPERIENCE Group present

    - #### addExperienceGroups

          public void addExperienceGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of EXPERIENCE GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified EXPERIENCE GROUP Collection.

    - #### addExperienceGroup

          public void addExperienceGroup(IGroup objGroup)

      Adds Experience GROUP to this message.
      Parameters:
        `objGroup` - Specified Experience GROUP.